<?php
/**
 * SEF module for Joomla!
 *
 * @version     1.0
 */
/*
*  True Gallery 
* Last modified on 11/09/2008
**/

// Security check to ensure this file is being included by a parent file.
if (!defined('_VALID_MOS')) die('Direct Access to this location is not allowed.');

class sefext_com_true extends sef_joomsef
{
    function create($string, &$vars) {
        extract($vars);

        // JF translate extension.
        global $sefConfig, $database, $debug, $debug_string;
        $jfTranslate = $sefConfig->translateNames ? ', id' : '';

        $title = array();
	  $nonSefVars = array();
        $task = isset($task) ? @$task : null;
	
        switch ($func)
        {
	    //  DreamOrk 26/06/09 	
            case 'userpannel':
                {
			$title[] = getMenuTitle($option, $task, $Itemid);
                    	$title[] = '/';	
			$database->setQuery("SELECT username FROM #__users WHERE id = ".$userId );
                    	$rows = $database->loadObjectList();
            		if (@count($rows) > 0) {
				$title[] = $rows[0]->username;
				$title[] = '/';
            		}
                    	$task = null;
                    	break;
                }
	    // END  DreamOrk 26/06/09 
            case 'viewcategory':
                {
			$title[] = getMenuTitle($option, $task, $Itemid);
			$title = array_merge( $title, $this->getPathway($catid) );
                    	$title[] = '/';

               		if (isset( $startpage ))	
					$title[] = 'page'.$startpage;

               		if (isset( $substartpage ))	
					$title[] = 'subpage'.$substartpage;
                    	$task = null;
                    	break;
                }
            case 'detail':
                {
			$title[] = getMenuTitle($option, $task, $Itemid);
			$database->setQuery("SELECT imgtitle, catid,id FROM #__true WHERE id = ".$id );
                    	$rows = $database->loadObjectList();

			if ($debug){$GLOBALS['JOOMSEF_DEBUG']['CLASS_SEF_JOOMSEF'][$debug_string][$option] = $rows;}
            		if ($database->getErrorNum()) {
            			die($database->stderr());
            		}
                    
            		if (@count($rows) > 0) {
					$title = array_merge($title, $this->getPathway($rows[0]->catid) );
					$title[] = $rows[0]->imgtitle;
            		}

                    	$task = null;
                    	break;
                }

            case 'special':
                {
				$title[] = getMenuTitle($option, $task, $Itemid);				
				switch ($sorting)
				{
					case 'rating':
                				{
							$title[] = 'rating'; 
							$title[] = '/'; 
							break;
						}
					case 'lastadd':
                				{
							$title[] = 'lastadd';
							$title[] = '/'; 
							break;
						}
					case 'lastcomment':
                				{
							$title[] = 'lastcomment'; 
							$title[] = '/'; 
							break;
						}
					case 'owners':
                				{
							$title[] = 'owners'; 
							$title[] = '/'; 
							break;
						}
			         	//  DreamOrk 26/06/09 	
					case 'owner':
                				{
							$title[] = 'owner'; 
							$title[] = '/'; 
							$database->setQuery("SELECT username FROM #__users WHERE id = ".$op );
							$rows = $database->loadObjectList();
							if (@count($rows) > 0) {
								$title[] = $rows[0]->username;
								$title[] = '/';
							}
							break;
						}
					case 'find':
                				{
							$searchstring = trim(strtolower($sstring));
							$title[] = 'find';
							$title[] = '/';
							$title[] = $searchstring; 
							$title[] = '/';

							break;
						}
			         	// END  DreamOrk 26/06/09 	
					default:
                				{
							$title[] = 'default'; 
							$title[] = '/'; 
							break;
						}
				}

                    $task = null;
                    break;
                }
            default:
                {
				$title[] = getMenuTitle($option, $task, $Itemid);
				$title[] = '/';
			  	if (isset( $startpage ))	       
					$title[] = 'page'.$startpage;
			  	if (isset( $substartpage ))	       
					$title[] = 'subpage'.$substartpage;

                }

        }
        //$string = sef_joomsef::sefGetLocation($string, $title, null, null, null, @$lang, $nonSefVars);
        $string = sef_joomsef::sefGetLocation($string, $title, @$task, @$limit, @$limitstart, @$lang);
        return $string;
    }

    function getPathway( $categorie )
    {
	global $sefConfig, $database, $debug, $debug_string;
	$pathway = array();

	Do 
	{
      	$database->setQuery("SELECT name, parent FROM #__true_catg WHERE cid = '".$categorie."' " );
            $rows = $database->loadObjectList();

            if ($debug){$GLOBALS['JOOMSEF_DEBUG']['CLASS_SEF_JOOMSEF'][$debug_string][$option] = $rows;}
            if ($database->getErrorNum()) {
            	die($database->stderr());
            }
                    
            if (@count($rows) > 0) {
            	$pathway[] = !empty($rows[0]->name) ? titleToLocation($rows[0]->name) : $categorie;
			$categorie = $rows[0]->parent;
            }

	} while( $categorie != 0 );

	return array_reverse( $pathway );
    }
}

?>
